Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 439822 - app-backup/vzdump use "--rsyncable" gzip option
Summary: app-backup/vzdump use "--rsyncable" gzip option
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Andreis Vinogradovs ( slepnoga )
URL:
Whiteboard:
Keywords:
Depends on: 347638
Blocks:
  Show dependency tree
 
Reported: 2012-10-27 08:36 UTC by Andreis Vinogradovs ( slepnoga )
Modified: 2016-09-15 11:14 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch to fix this bug (hivex-1.3.7.ebuild.diff,734 bytes, patch)
2012-10-30 19:31 UTC, Andreis Vinogradovs ( slepnoga )
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreis Vinogradovs ( slepnoga ) 2012-10-27 08:36:53 UTC
app-backup/vzdump use "--rsyncable" gzip option, but this option not impliment in gzip in gentoo ( See #347638 )


Log:

shgabad ~ # vzdump --compress --bwlimit 50240 1001
INFO: starting new backup job: vzdump --compress --bwlimit 50240 1001
INFO: Starting Backup of VM 1001 (openvz)
INFO: CTID 1001 exist unmounted down
INFO: status = CTID 1001 exist unmounted down
INFO: backup mode: stop
INFO: bandwidth limit: 50240 KB/s
INFO: creating archive '/vz/dump/vzdump-openvz-1001-2012_10_27-11_32_15.tgz'
INFO: gzip: unrecognized option '--rsyncable'
INFO: Try `gzip --help' for more information.
INFO: archive file size: 0KB
INFO: Finished Backup of VM 1001 (00:00:01)
INFO: Backup job finished successfuly
ashgabad ~ # eix gzip
Comment 1 Andreis Vinogradovs ( slepnoga ) 2012-10-27 08:38:24 UTC
eix -c gzip
[I] app-arch/gzip (1.5@09/09/2012): Standard GNU compressor


 eix -c vzdump
[D] app-backup/vzdump (1.2@02/28/2011 -> ~1.2): A utility to make consistent snapshots of running OpenVZ containers.
Comment 2 Andreis Vinogradovs ( slepnoga ) 2012-10-30 19:31:06 UTC
Created attachment 327826 [details, diff]
patch to fix this bug

migrate to perl-module eclass
Comment 3 Oleh 2013-01-20 19:33:52 UTC
patch moves vzdump ebuilds to perl-module eclass, where is --rsyncable related
problem?
Comment 4 Oleh 2013-01-20 19:35:42 UTC
rsyncable patch moved out of gzip, see https://bugs.gentoo.org/show_bug.cgi?id=347638
Comment 5 Peter Volkov (RETIRED) gentoo-dev 2013-10-23 19:47:03 UTC
Andreis, I think if we want this we should use pigz. But somebody should implement this :)
Comment 6 Sergey Popov gentoo-dev 2016-03-30 04:39:13 UTC
Upstream gzip 1.7 now implements --rsyncable

Waiting this bug to be closed after gzip 1.7 hits stable branch
Comment 7 Sergey Popov gentoo-dev 2016-09-15 11:14:46 UTC
sys-apps/gzip-1.8 is in stable, closing this as FIXED